/*
 *  Shinobi Library
 *  Copyright (c) 1998,2000 SEGA
 *  
 *  Video Setting Functuion
 *
 *  Module  : Library Header File
 *  File    : sg_video.h
 *  Create  : 1999-09-20
 *  Modify  : 2000-03-08
 *  Version : 2.03
 *  Note    :
 */
#ifndef _SG_VIDEO_H_
#define _SG_VIDEO_H_

/* Initialize */
#define SYD_VIDEO_INIT_OK  (0)
#define SYD_VIDEO_INIT_NG  (-1)

/* Exit */
#define SYD_VIDEO_EXIT_OK  (0)
#define SYD_VIDEO_EXIT_NG  (-1)

/* Video mode */
#define SYD_VIDEO_MODE_VGA      (0)
#define SYD_VIDEO_MODE_NTSC     (1)
#define SYD_VIDEO_MODE_PAL      (2)
#define SYD_VIDEO_MODE_ERROR    (-1)

/* Broadcast type */
#define SYD_VIDEO_BROAD_TYPE_NTSC  (0)
#define SYD_VIDEO_BROAD_TYPE_PAL   (1)
#define SYD_VIDEO_BROAD_TYPE_PALM  (2)
#define SYD_VIDEO_BROAD_TYPE_PALN  (3)
#define SYD_VIDEO_BROAD_TYPE_ERROR (-1)

/* Cable type */
#define SYD_VIDEO_CABLE_TYPE_VGA        (0)
#define SYD_VIDEO_CABLE_TYPE_RESERVED   (1)
#define SYD_VIDEO_CABLE_TYPE_RGB        (2)
#define SYD_VIDEO_CABLE_TYPE_VBS        (3)
#define SYD_VIDEO_CABLE_TYPE_ERROR     (-1)


/* Function prototype */

Sint32 syVideoExit( void );
Sint32 syVideoGetBroadcastType( void );
Sint32 syVideoGetCableType( void );
Sint32 syVideoGetVideoMode( void );
Sint32 syVideoInit( void );
void syVideoSetBorderColor( Uint32 );
void syVideoWaitVBlankSetBorderColor( Uint32 );

#endif
